Oore CI
ReferenceAPIOperationsSetup

Configure OIDC provider

Performs OIDC discovery on the provided issuer URL and stores the provider configuration. Requires a valid setup session.

Operation IDconfigure_oidc
POST
/v1/setup/oidc/configure

Performs OIDC discovery on the provided issuer URL and stores the provider configuration. Requires a valid setup session.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/setup/oidc/configure" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "issuer_url": "string"  }'
{  "discovered_issuer": "string",  "session_expires_at": 0,  "state": "uninitialized"}